> ## Documentation Index
> Fetch the complete documentation index at: https://sendforsign.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List of clients

> List all clients created with your Sendforsign API key, with their client keys and details.

### Body parameters

**data** `object` *required*

**child attribute**

**action** `string` *required*

Action type.

### Response

**clients** `string`

Array of clients.

**child attribute**

**createTime** `string`

Create time.

**changeTime** `string`

Change time.

**clientKey** `string`

ID of the client.

**fullname** `string`

First and second names of the client.

**email** `string`

Email of the client.

**organization** `string`

Organization name.

**customKey** `string`

Client custom key, if you used it when creating the client.

**multiple** `boolean`

This parameter indicates that this client has users.

**code** `string`

The code of the answer.

**message** `string`

The message of the answer.

```bash cURL theme={null}
curl -X POST 'https://api.sendforsign.com/api/client' \ 
     -H 'X-Sendforsign-Key: YOUR_API_KEY' \
     -H 'Content-Type: application/json' \
     -d '{ 
          "data": {
				   "action": "list"
				  }
     }'
```

```json Response theme={null}
	{
       "clients": [{
                "createTime": "2023-12-01 12:18:55",
				"changeTime": "2023-12-01 12:18:55",
                "clientKey": "CLIENT_KEY", 
				"fullname": "John Johnson",
    		    "email": "john_johnson@mail.com",
				"organization": "Company Inc.",
				"customKey": "YOUR_COMBINATION",
				"multiple": true
		}],
       "code": "200",
       "message": "Clients found"
    } 
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.